Support for the Ruby 2.1 series ended on March 31 2017. See here for details.

In Files

  • xmlrpc/parser.rb

Parent

Methods

XMLRPC::XMLParser::NQXMLStreamParser::XMLRPCParser

Public Instance Methods

parse(str) click to toggle source
 
               # File xmlrpc/parser.rb, line 623
def parse(str)
  parser = NQXML::StreamingParser.new(str)
  parser.each do |ele|
    case ele
    when NQXML::Text
      @data = ele.text
      #character(ele.text)
    when NQXML::Tag
      if ele.isTagEnd
        endElement(ele.name)
      else
        startElement(ele.name, ele.attrs)
      end
    end
  end # do
end